#
# spec file for package python-pyocr
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pyocr
Version:        0.5
Release:        lp151.2.2
Summary:        Python wrapper for OCR engines
License:        GPL-3.0+
Group:          Development/Languages/Python
Url:            https://github.com/openpaperwork/pyocr
Source:         https://github.com/openpaperwork/pyocr/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  %{python_module Pillow}
BuildRequires:  %{python_module base}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Pillow
Recommends:     cuneiform
Recommends:     tesseract-ocr
BuildArch:      noarch
%python_subpackages

%description
PyOCR is an optical character recognition (OCR) tool wrapper for python.
That is, it helps using various OCR tools from a Python program.

%prep
%setup -q -n pyocr-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc AUTHORS COPYING ChangeLog README.markdown
%{python_sitelib}/*

%changelog
* Tue Dec 26 2017 mpluskal@suse.com
- Update to version 0.5:
  * Tesseract/Libtesseract + LineBoxBuilder: Add confidence scores
    to every word boxes and to hOCR files (thanks to Adriano Pagano)
  * Tesseract 4 (shell): Add '--oem 0' to specify legacy model when
    doing orientation detection as orientation detection does not
    work yet with Tesseract 4 (thanks to Adriano Pagano)
  * Libtesseract: Fix multi-language support
  * Tesseract (shell) + Windows: Never let the cmd window appear
  * Libtesseract: Implements image_to_pdf() (thanks to Marian Skrip)
  * Libtesseract: Hide debug messages (thanks to Ashish Kulkarni)
- Update project url and use github sources
* Fri Dec 15 2017 mvetter@suse.com
- Use python singlespec
* Wed Oct  5 2016 mailaender@opensuse.org
- update to version 0.4.1
* Sun Aug 10 2014 jw@owncloud.com
- v0.2.3 initial pull from pypi
